Amazon Kindle owners should download this update by Tuesday

This is an archived article and the information in the article may be outdated. Please look at the time stamp on the story to see when it was last updated.

If you own an older Amazon Kindle, you should really install an important before Tuesday.

If the update isn’t installed by March 22nd, you’re going to end up doing a lot more work.

The update is necessary for downloading books from the cloud, accessing the Kindle Store, and using other Kindle services, according to TIME.

“The update will ensure their device is operating with the latest software, and that it remains compliant with continuously evolving industry standard,” says Amazon spokesperson Kinley Pearsall.

The update only affects 2012 and older models. If you update before March 22nd, the install is not a big deal.

Kindle models from 2007 through 2009 can be updated via the devices’ wireless connections before then, and models from 2010 to 2012 can update their software via Wi-Fi.

If you miss the deadline, you face a larger headache. You’ll need to install the update to your e-reader manually. That means downloading the software to your computer and connecting your Kindle via a USB cable.

A post on Amazon’s customer service website shows the various versions of the software that each Kindle model needs.

    • The following models need the update:

 

    • Kindle 1st Generation (2007)

 

    • Kindle 2nd Generation (2009)

 

    • Kindle DX 2nd Generation (2009)

 

    • Kindle Keyboard 3rd Generation (2010)

 

    • Kindle 4th Generation (2011)

 

    • Kindle 5th Generation (2012)

 

    • Kindle Touch 4th Generation (2011)

 

    • Kindle Paperwhite 5th Generation (2012)

 

3 comments

Comments are closed.